Subject: [PATCH 0/2] ARM: omap2+: omap_hwmod: Fix false lockdep warning

From: [email-masked] (Peter Zijlstra)
Date: Mon, 9 Feb 2015 10:23:32 +0100

On Mon, Feb 09, 2015 at 10:27:32AM +0200, Peter Ujfalusi wrote:
> As I recall there is a plan to remove the hwmod static database and move it or
> generate it from DT? Not sure when and how this will be done, but will it
> affect the lockdep_set_class() way?

Yes, struct lock_class_key wants to be in static storage.

So you could still allocate a few of those statically and then use them
where appropriate, but it'd going to be more work.

The advantage of having the 1:1 relation is that any parent hierarchy
works naturally.